% Vykreslenie Prilohy: 1.meranie - rusenia hlavne zo svalov brucha

osaX = (0:1:1000)/500;
figure();
subplot 311
plot(osaX, EMD_C1(1,195*500:197*500)*1000, 'Color', [66/255, 143/255, 244/255]);set(gca, 'FontSize', 12);
xlabel('t [s]', 'FontSize', 16);ylabel('U[\muV]','FontSize', 16);
hold on;
plot(osaX, signalPoFiltraciiVlnkaC1(1,195*500:197*500)*1000, 'Color', [244/255, 86/255, 66/255]);
hold on;
plot(osaX, signalPoFiltraciiWienerC1(1,195*500:197*500)*1000, 'Color', [58/255, 132/255, 23/255]);set(gca, 'FontSize', 14);
xlabel('t [s]', 'FontSize', 16);ylabel('U[\muV]','FontSize', 16);
title('Filtrácia vlnkovým a wienerovským filtrom - Zariadenie CorScience', 'FontSize', 16);set(gca, 'FontSize', 12);
legend({'Signál po filtrácii s využitím EMD', 'Signál po filtrácii vlnkovým filtrom', 'Signál po filtrácii wienerovským filtrom'}, 'FontSize', 12)

osaX = (0:1:2000)/1000;
subplot 312
plot(osaX, EMD_F1(1,195*1000:197*1000), 'Color', [66/255, 143/255, 244/255]);set(gca, 'FontSize', 12);
xlabel('t [s]', 'FontSize', 16);ylabel('U[\muV]','FontSize', 16);
hold on;
plot(osaX, signalPoFiltraciiVlnkaF1(1,195*1000:197*1000), 'Color', [244/255, 86/255, 66/255]);
hold on;
plot(osaX, signalPoFiltraciiWienerF1(1,195*1000:197*1000), 'Color', [58/255, 132/255, 23/255]);set(gca, 'FontSize', 14);
xlabel('t [s]', 'FontSize', 16);ylabel('U[\muV]','FontSize', 16);
title('Filtrácia vlnkovým a wienerovským filtrom - Zariadenie Faros 360°', 'FontSize', 16);set(gca, 'FontSize', 12);
legend({'Signál po filtrácii s využitím EMD', 'Signál po filtrácii vlnkovým filtrom', 'Signál po filtrácii wienerovským filtrom'}, 'FontSize', 12)

osaX = (0:1:6000)/3000;
subplot 313
plot(osaX, EMD_B1(1,195*3000:197*3000)*10000, 'Color', [66/255, 143/255, 244/255]);set(gca, 'FontSize', 12);
xlabel('t [s]', 'FontSize', 16);ylabel('U[\muV]','FontSize', 16);
hold on;
plot(osaX, signalPoFiltraciiVlnkaB1(1,195*3000:197*3000)*10000, 'Color', [244/255, 86/255, 66/255]);
hold on;
plot(osaX, signalPoFiltraciiWienerB1(1,195*3000:197*3000)*10000, 'Color', [58/255, 132/255, 23/255]);set(gca, 'FontSize', 14);
xlabel('t [s]', 'FontSize', 16);ylabel('U[\muV]','FontSize', 16);
title('Filtrácia vlnkovým a wienerovským filtrom - Zariadenie BiosignalPlux', 'FontSize', 16);set(gca, 'FontSize', 12);
legend({'Signál po filtrácii s využitím EMD', 'Signál po filtrácii vlnkovým filtrom', 'Signál po filtrácii wienerovským filtrom'}, 'FontSize', 12)